Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000277Dwarf FortressTechnical -- Generalpublic2010-04-03 10:142017-01-11 13:32
ReporterGauHelldragon 
Assigned ToToady One 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000277: Game crash during saving game - cleaning objects phase
DescriptionThe game crashed after saving the game in dwarf mode. Afterwards, the savegame was not corrupted and loaded fine.
--
Edit: Adjusted title and reproducibility to match comments, evidence.
Additional InformationTrace, etc: http://pastebin.com/XNfK4Wwx [^]
Tagscrash, Crash Dump, saving
Attached Files

- Relationships
related to 0000827resolvedToady One Crash on save or abandonment of Fortress 
related to 0001046closedToady One Melting item produces hard crash. 
related to 0001806resolvedToady One Non-cancelled kill orders persist into newly generated world and fortress. 
has duplicate 0001050closedFootkerchief Crash during save (at 'cleaning objects' phase) 
has duplicate 0000912closedLogical2u 0.31.02 Reproducible crash within 1-2 game months 
has duplicate 0002880resolvedFootkerchief cleaning game objects, V .12 
has duplicate 0002590resolvedFootkerchief Game Crashes on save 
has duplicate 0004908resolvedDwarfu Game crashes on save 
related to 0002176resolvedFootkerchief Hard crash on Save after completing Trade Agreement 
related to 0003865resolvedFootkerchief Crash when trying to save 
related to 0001755resolvedFootkerchief After soldier dies, military/noble screens go blank, followed by crash 

-  Notes
(0000962)
Steely Glint (reporter)
2010-04-04 17:27
edited on: 2010-04-05 19:59

In my current game, every deliberate save causes a crash. The game successfully autosaves every season without crashing, and I can load the save whether it autosaved or whether I saved (and it subsequently crashed).

EDIT: I noticed during the most recent of these crashes that the crash occurred during the "Cleaning Game Objects" phase. This explains why the save completed successfully. It also explains why the autosave doesn't cause a problem.

(0001459)
derigo (reporter)
2010-04-06 08:23

I've crashed a few times during 'cleaning game objects' as well. But certainly not every time. And yes, the saves seem uncorrupted.
(0001472)
Rafal99 (reporter)
2010-04-06 09:07

I got this crash too a few times.
It crashes AFTER saving, during "Cleaning game objects".
Game gets saved properly, and no problems after loading.
(0001726)
Steely Glint (reporter)
2010-04-07 05:47

I suspect that this crash is linked to at least one other, though obviously I can't say for certain which one. I believe that there is some internal data structure that can end up in a state where removing it leads to a crash...

My current suspicion involves the squad schedule menu, since I get frequent crashes there too. My crashes there occur when removing orders from the schedule (specifically when pasting over multiple orders... how are multiple orders stored internally?), which is one task I'd bet the "cleaning game objects" phase also performs.
(0001935)
Rafal99 (reporter)
2010-04-07 21:55
edited on: 2010-04-07 21:56

For me it seems that the crash in "Cleaning game objects" happens only if I save during or short before goblin ambush. It might be related to whether there are sneaking squads on the map.

(0002412)
Langdon (reporter)
2010-04-09 13:31
edited on: 2010-04-09 14:36

Crashing during "cleaning game objects" reliably appears for me on 0.31.01 after a few game years. It seems to be linked to the presence of a hospital zone.

Once the crash during save appears, that particular save will forever keep crashing on subsequent saves, until I regen a new world.

Edit: Confirmed crash on "cleaning game objects" phase after saving on 0.31.02 (new world genned on 0.31.02).

The crash on save only appeared when 1) I had a hospital zone set up and 2) I had created at least one soap bar and 3) I had enough chests in the hospital to hold the soap (i.e. no crash when I had hospital up and soap on map, but no chests in hospital).

(0002546)
Nighteyes (reporter)
2010-04-10 03:08

I've had this crash a few times, nothing regular, and I haven't managed to reproduce it either. But I did just try to edit a squad schedule order, copy and paste, and then try to save it to crash, no luck it may depend on the way/type of order you change or adding the order but I don't know.
At least the save isn't corrupted touch wood.
(0002564)
oliver (reporter)
2010-04-10 06:41
edited on: 2010-04-10 08:01

Just happened here against 0.31.02. Faulting code looks identical (different addresses due to the different build, but the same disassembly).

Reproducable by loading then saving.

edit: the save in question is available here: http://s3test.randomly.org/df/277/region6-crashes-on-load-then-save.zip [^] .. as the name implies, load then immediately save and you should get a crash during the "cleaning objects" phase.

(0002567)
Langdon (reporter)
2010-04-10 07:53
edited on: 2010-04-10 07:56

Save game that consistently shows crash on "cleaning game objects" phase of save. Save is usable afterwards. http://dffd.wimbli.com/file.php?id=2052 [^]

Please note this is the same fort as the save I posted at 0000912, except I had played it a few more game years until crashing is consistent on every save.

There are two types of crashes I've encountered in this fort - crash on saving, and intermittent crashes every few game days (crashes more and more frequent as the fort grows, although I only have 16 dwarves since the first migrant wave).

In this save I have just breached the first cavern layer, and the crashes now come almost once a game week (as opposed to earlier in the fort's life, when I have a 50/50 chance of reaching the next seasonal autosave without a crash).

Edit: game was freshly genned on version 0.31.02 and is not a save moved over from previous version. I have observed same crashing behavior in previous 2 games on 0.31.01 though. I am running Windows XP SP3 on a computer with 4 Gb of RAM, and windows task manager reports the game taking up about 450mb of memory (for medium region).

(0002581)
SirPenguin (reporter)
2010-04-10 09:04

This is the first "crash on save" report that has actually crashed on me.
(0002584)
SirPenguin (reporter)
2010-04-10 09:08

Man, this damn military...I fixed it, in case you want to save the fortress. Simply disband your one military squad and you can save without issue. I imagine your intermittent crashing is also related to the military. As always, I'll keep this comment updated with any findings. I do hope these things help Toady!
(0002589)
DoctorZuber (reporter)
2010-04-10 09:19

on the subject of crashing after saving properly... I noticed in 40d that if it runs into a file duplicate when trying to make the backup files, it will crash.

- revert to an older save
- rename this save to match your normal save name (e.g. myfort)
- when the season ends, it crashes trying to overwrite the old backup (e.g. myfort-aut-31)

This crash occurs after properly saving to myfort, it just fails to make the backup. So this is really only a nuisance, not a major issue. I haven't taken the time to verify this one yet in the current version, although I would be surprised if this was noticed and fixed.

workaround, if you do revert to an older save, and like to keep your same filename, rename or remove any future backups.
(0002595)
king doom (reporter)
2010-04-10 09:36

Can't add much to this one other than to say DF crashes whenever I save as well.
(0002856)
Langdon (reporter)
2010-04-11 12:36
edited on: 2010-04-11 22:56

@SirPenguin: I loaded up the save and immediately disbanded the military squad (removing all members first, and making sure they were deassigned from the barracks). The subsequent save did not crash, although the next one did, even if I never recreated the squad.

I generated a new world on vanilla 0.31.02, and after four game years the same saving problem popped up. In this one, I had not yet set up a barracks and had not gotten an arsenal dwarf (despite having 38 dwarves). Again, I disbanded the single military squad (consisting of one dwarf, the militia commander). The next save after disbanding will save properly without a crash, but the second or third save will crash in the same fashion (at cleaning game objects).

Intermittent crashes are also present in this new game, although not as frequent as the save I posted earlier.

It seems for me disbanding military only delays the problem, but it eventually reappears.

Edit: In an effort to replicate SirPenguin's fix by disbanding the squad and removing the barracks designation, I seem to have gotten the "military dwarves cannot do civilian jobs" bug 0000605. It's not much of a problem, as the dwarves I deactivated are meant to be career military, but I noticed after I got this bug that the crashes have increased in frequency (crashing on every save, intermittent crashes every few game days) to the level of the save I posted earlier.

(0002997)
Shadowlord (reporter)
2010-04-12 00:34

With regards to what Rafal99 suggested, it cannot possibly have anything to do with sneaking goblins (or kobolds, or elves) on the map: I can disprove that conclusively:

1. I get these crashes during the cleaning game objects phase as well (but not every time).
2. There are no goblin, kobold, or elven civilizations in my world. There are never any ambushers (or invasions) as the only civs in my world are human and dwarven.
(0003002)
Langdon (reporter)
2010-04-12 01:14
edited on: 2010-04-12 04:09

Possible workaround/fix:

I played further with the crashing save, and had a goblin ambush (two squads). For the first time, I decided to micromanage my squad's equipment - I used "specific armor" and "specific weapon" for EVERY piece of equipment on each dwarf. Note that "specific armor/weapon" lists all eligible equipment (if the arsenal dwarf has done the paperwork) even if that equipment is currently in use by some other dwarf. So I had to take note which dwarf was wearing which piece of armor (for example for gauntlets, I had to remember to assign the nth pair from the top of the list to make sure there was no overlap).

Doing this, the four dwarves equipped themselves properly and sallied out to meet the incoming goblins. I was in the middle of a really fun combat (save-scumming a few times, hehe) when I realized the game was no longer crashing when I saved.

CONJECTURE (I might be wrong, but I hope I'm right):

1) Intermittent Crashing occurs when a dwarf is a assigned an unusable/unreachable piece of armor or weapon by the arsenal dwarf, or by the individual equip subroutine, and the dwarf attempts to wear/wield that equipment

- or -

2) Crashing occurs when two dwarves are assigned the same piece of equipment (crash on save is because this state cannot be saved to disk)

3) Removing all dwarves from squad and disbanding the squad (as proposed by SirPenguin) works by stopping dwarves attempting to put on wrong equipment. Unfortunately, with bug 0000605, some dwarves will maintain a "perma-military" state, where they will still attempt to equip their uniform even if removed from the squad, thus SirPenguin's fix does not work in all situations.

4) I backed up my save and attempted to replicate the crash by deliberately assigning two dwarves to use the same warhammer (using specific weapon). No crash on saving, thus conjecture 2) above might only apply to arsenal dwarf assignment, not the player-directed specific item assignment. It is possible I will get a crash later on, although both dwarves are now in the barracks doing Individual Combat Training (the second dwarf without a weapon).

I will continue to play this game to see if the crashes come back.

Can anyone else verify this method makes your crash go away? (assigning only specific armor and weapons for all military dwarves?)

Edit: I went back to the game with two dwarves assigned the same warhammer, and noticed the warhammer had disappeared from the first dwarf's list, so no conflict. This possibly reinforces 4) above, in that the problem is in the arsenal dwarf and/or individual equip choice subroutine.

2nd Edit: The game crashed after about a game month, but the crash-on-save is gone. The only change I made was to swap out a dead dwarf in the squad for a new recruit - the equipment is linked to position, so the new recruit equipped the corpse's old equipment properly and went to Individual Combat Drill.

Conjecture: the arsenal dwarf triggers a once-a-season check for proper equipment, and this is causing the crash as it encounters some problem with my military squad.

Further tests:
I went back to the backup save in 4) above, and tried recruiting two more dwarves. These two I assigned the standard metal armor uniform, but assigned a specific weapon. The crash-on-save returned before the season ended. I also noticed that one of the two new dwarves had bug 0000605. I deleted this save and went back to the "clean" save from 4), kept playing.

The arsenal dwarf did Update Squad Equipment a bit later, after this I noticed my squad was improperly equipped again (missing several pieces of armor each, despite having been assigned specific weapons/armor earlier). Soon after the arsenal dwarf did his thing, the game started crashing again (both intermittent, and on save).

(0003012)
derigo (reporter)
2010-04-12 02:50

Interesting. I will try this out tomorrow for my two crashing forts.
http://www.bay12games.com/dwarves/mantisbt/view.php?id=629 [^]
(0003237)
Shadowlord (reporter)
2010-04-13 06:14

Are these actually still happening? I haven't actually had any crash-on-cleaning in the past several days with .02, and now there's the new .03 too.
(0003404)
Langdon (reporter)
2010-04-13 22:40
edited on: 2010-04-14 22:31

In a game copied over from .02 to .03, the save retained the crash-on-save (I guess it's corrupted in some fashion).

In a new game generated on .03, I've seen it crash on save exactly once, and have not gotten it to repeat since.

The intermittent crashes (i.e. during game play) seem to be gone under .03, although I haven't gotten far enough in my new game to make sure.

Edit: I've seen the crash on "cleaning game objects" a few more times on .03, but it seems to have gone away once I removed the /3GB flag from boot.ini (Windows XP SP3). This may mean it's a 2GB limit memory problem similar to the embark crash 0000002, which means it's hopefully fixed in .04.

(0003675)
Rafal99 (reporter)
2010-04-15 07:35

Since about 3 seasons when I reworked all squads and equipment, I am getting this crash every time I save.
Fortunately it is totally harmless, as the saves work just fine.
(0003826)
JimboOmega (reporter)
2010-04-16 05:04

I'm seeing this too in 31.03, but I have no idea when my save switched to one that consistently crashes. I think it's related to the military and/or hospital.
(0004443)
Langdon (reporter)
2010-04-21 07:18

Uploaded a pure 0.31.03 game (http://dffd.wimbli.com/file.php?id=2185 [^]) that reliably crashes on save (also, my first game that crashes on abandon, as per 0000629).

It does seem to take longer under 0.31.03 to get to this point (my previous forts under .01 and .02 had the crash-on-save appear within 2 years, while this one didn't have it until year 5 or 6). The only difference I can see is that this fort does not have an exposed magma pipe (unlike my previous forts) so I only reached the magma sea by year 6.
(0004448)
JimboOmega (reporter)
2010-04-21 08:16

As per my comments and an uploaded file (http://dffd.wimbli.com/file.php?id=2127 [^]) I saw with this issue - I think it is (for me anyway) related to melting. Removing the melt on all items fixes the crash.

I have not done any testing to see if specific items (say daggers or two handed swords) is causing the crash.
(0004777)
axus (reporter)
2010-04-23 14:50
edited on: 2010-04-23 14:51

I also got this crash-on-save, after year 4. It's not repeatable for me. Oh, I believe it actually saved, so it should be called "crash-after-save".

(0004830)
0x517A5D (reporter)
2010-04-23 20:18

I have experienced this twice in 0.31.03, on two different forts.

The faulting address is different, but inspection of the object code convinces me that this is the same issue.

Exception C0000005, Access Violation, at address 006B9795.

32-bit XP. Athlon 64X2 with 4GB memory (but only 3.25 usable by XP). I am NOT using the /3GB boot option.

Dwarf Fortress 0.31.03, almost unmodified raws. I added [SHELL] to the HOOF_TEMPLATE.

I was using my stone_sense digging enhancer utility, and some use of Dwarf Therapist.

The fort was created in 0.31.03, not copied from a previous version.

A mood had just started. I had not resumed play after the pause and announcement.

NO military at all, so no squads, no squad schedules, no assigned weapons/armor, no military administrator positions filled. (I'm using INVADERS:NO.)

I do have a hospital zone, and 30 or so bars of soap. I do not have any containers in the hospital zone. All of the hospital zone's provisioning levels were set to 0/0, except for soap at 0/150.

No items were tagged for melting, as far as I know. Nor is there a smelter with the 'melt items' job.

I have not yet reached the magma. I have mined and channeled above a magma pipe. It is possible that something fell in.

The savegame seems to be complete and current; it loads and resaves without crashing again, so no help there.
(0005434)
Areyar (reporter)
2010-04-27 17:17

I've been having this same problem lately. (31.03)
And I do have a squad with dwarves that have weaponskills I still need to create/buy weapons for, their equipment list includes the wanted items. No arsenal dwarf yet.
(0005659)
Dorf3000 (reporter)
2010-04-29 07:08

I know the plural of anecdote is not data, but I have had a fort running on 31.03 that had this crash after every save. I also had the crash-on-melt bug, which I resolved by turning off item melting at the smelters.
Just now I went through the stocks screen and turned off melting on a few bronze armor items and bronze crafts that had been left on, and the save completed without crashing.
(0005663)
Arkenstone (reporter)
2010-04-29 08:42
edited on: 2010-04-29 09:25

I've had the same problem. Looking at this report, I'd say my problem's probably military-related: I'll try that fix and then report the results.

Edit: Thanks, Logical2u, for taking care of my erroneous bug report for me.

Further Edit: Okay, disbanding my squad didn't work. Also, I was looking at the data you gave in the original report, trying to see if mine matched up. (The exception number is the same, but I can't tell if anything else is.) I can understand most of what's going on, but what really confuses me is the stuff between "State Dump for Thread Id 0xbc8" and "Stack Back Trace". I get the feeling that that's the kicker line in there, and I'd like it if you'd tell me how you got that out of the system so that I could do the same.

(0005825)
yeesh (reporter)
2010-05-01 09:50

I too experience this crash during "Cleaning game objects." I'd say it happens about half the time I save manually and never during auto save.

I do have a military, but I have never melted an object, and I can't find anything designated for melting either.
(0005892)
Arkenstone (reporter)
2010-05-01 21:25

Melting? Is that related??? I have LOTS of stuff that's been designated for melting, including stuff that can't melt. So, I'll try removing it, then.
(0006247)
Langdon (reporter)
2010-05-05 22:49

@arkenstone: just disbanding a squad doesn't remove assigned weapons/armor (which I believe is causing crashes, at least in my game) as the dwarves still behave like they are in the military (due to a different bug?). To make sure you might try going into the military screen and removing all weapon/armor assignments before disbanding the squad.
(0007649)
ChickenLips (reporter)
2010-06-04 00:21
edited on: 2010-06-04 00:44

I can verify the "Cleaning game objects" save crash in .04 in regard to having objects designated for melting. Strangely, they had been designated for melting one save before, and *that* save completed properly. But I could not complete another save until I removed the Melt designation from all objects. [EDIT: I didn't try specifically testing if it was any specific melt-designated objects, but that may be possible.]

For the record, no smelters were set to melt items.

It seems like it'd be duplicative at this point, but I did 7zip and tuck away the offending save if it'd be helpful at all. Just let me know and I'll up it.

(0007716)
Toady One (administrator)
2010-06-05 05:48

So do we know if this and all the child bugs came from the melt designations? Even if there weren't current melt designations, any melt designations at any time in the past could have caused this kind of crash, but there could be other causes lurking out there. I'm going to download a few and test them, but if these reports are all resolved, we could also mark them off.
(0007730)
ChickenLips (reporter)
2010-06-05 12:45

Well, I was going to up my save, but I wanted to test it out first to make sure the CTD occurs on save as reported. But this time it didn't -- I guess it is either further delayed or completely fixed by .05. Would it still be helpful for me to up it?
(0007731)
Footkerchief (manager)
2010-06-05 12:48
edited on: 2010-06-05 12:48

Would it still be helpful for me to up it?

Probably not, but thanks for the info! If anyone DOES still get this crash in 31.05, though, it would be very useful to upload that.

(0008120)
Langdon (reporter)
2010-06-10 22:59

I have seen the crash-after-saving twice (over the course of an eight-year fort) on 31.06. The save was genned on 31.05, however. It seems very very rare now (compared to previous versions) but still appears. Loading and immediately saving without unpausing does not repeat the crash (which is why I cannot upload a save with a repeatable crash for now).

In this fort I have three smelters melting goblin equipment all the time.
(0009600)
toybasher (reporter)
2010-07-03 20:32

The same is happening to me now! It crashes on cleaning game objects evrey single time I save!
(0009606)
oliver (reporter)
2010-07-03 21:26

It would be useful to upload the save if you have one that consistently crashes.
(0010804)
mLegion (reporter)
2010-07-22 00:22

been happening to me since .08 and now still happens in .10
(0011207)
eerr (reporter)
2010-07-28 16:42

Just got this in V .12!
(0011833)
szythe (reporter)
2010-08-16 14:16

I randomly get this issue about 30% of the time I save in my .12 fort. It hangs up entirely on Cleaning Objects, I force-close DF, and the save works just fine.
(0012378)
WCG (reporter)
2010-09-03 07:31

Just to confirm, I'm getting this frequently with 0.31.12, too. This is with Windows XP, and I'm playing the SDL version (the one bundled with May Green graphics).

It seems to happen more than half the time I save the game, certainly more than 30%, but not every time. But I can restart DF and run the saved game just fine.
(0015710)
Footkerchief (manager)
2011-03-03 10:13

Reminder sent to: 0x517A5D, Areyar, ChickenLips, DoctorZuber, eerr, GauHelldragon, Langdon, mLegion, Rafal99, SirPenguin, szythe, toybasher, WCG

Is anyone still seeing this crash in 31.19? If so, it would be helpful to upload a save demonstrating the problem to http://dffd.wimbli.com/ [^]
(0015743)
Langdon (reporter)
2011-03-05 00:04
edited on: 2011-03-05 00:06

Occasional crash-on-save on 31.19, save is here: http://dffd.wimbli.com/file.php?id=3896 [^]

It is very infrequent now (maybe one out of four saves). I have seasonal autosave on, it does not crash on autosave, only on game save-and-exit from the ESC menu.

Wild guess - it is linked to the squad orders data that is not cleared properly from memory - I notice crash on save only appears when I have an active military.

Edit: also, it crashed on abandon once in a previous fort (same world as this save), but abandoned successfully when I reloaded the previous seasonal autosave. I have not tried abandoning more than one fort so far.

(0015771)
GauHelldragon (reporter)
2011-03-05 13:44
edited on: 2011-03-05 13:52

I've had the game crash on save once or twice, but it seems pretty random and uncommon. I could probably dig up a crash report but I don't think a save would be very useful, as it has shown to not repeat itself with any amount of predictability.


Here is the Dr Watson Report anyway....

http://gau.twinight.net/dwarf%20fortress/crash%20dump%20-%2031.19%20-%20On%20Save [^]

(0015842)
Areyar (reporter)
2011-03-06 13:27
edited on: 2011-03-07 15:32

Responding to mail:
haven't seen save hangups for a long time and never in .19, yet.

edit: spoke too soon. .19 crashed during save while I was browsing an images folder.

(0020393)
janglur (reporter)
2012-02-21 10:05

Still occurs in 34.02
(0022607)
Intrinsic (reporter)
2012-05-19 04:38

Just happened for me, 34.07. Biggest thing i've been doing recently is lots of stockpile rejigging which means lots of stuff being moved around.
(0022838)
Rafal99 (reporter)
2012-06-03 21:33

Happened to me in 0.34.10.
(0028487)
mkiever (reporter)
2014-08-06 13:48

Well, I don't know if it's related,
or a new bug. So I'm adding this note here,
to get your opinion:

This is a crash in "Cleaning game objects" after a save
and the save file seems ok (loads ok, no immediate crash).
Now for the differences (or things which haven't been mentioned):
- version 0.40.06
- adventure mode
- so far only happens in a certain town (and there repeatable)

What do you think ?

Regards, Matthias.
(0029745)
smjjames (reporter)
2014-08-28 09:03
edited on: 2014-08-28 09:24

Version 40.10

I just had one in this particular world (or maybe it's just the region I'm in) and the errorlog spat out a 'Midmap effective coordinate check out of bounds' error. I've crashed repeatedly in this region and this error has come up a few times, not sure if it's related to the crash.

However, It loads fine and when I do a save in the same place, it's fine too, except that I'm seeing this error that I haven't seen before: 'Unsupported CE add tag: NOBRE!' I am using peridexis's starter pack and the only changes I made were to have it comment out the aquifers and I made kobolds speak normally. I'll ask in the modding section if anybody recognizes the error.

http://dffd.wimbli.com/file.php?id=9546 [^]

Edit: Just tested with a new world and new adventurer and I'm not seeing the error.

Edit2: Okay, that one has a reproducible crash, if I sleep, it crashes, move a couple tiles in fast travel, it crashes, move around in normal mode, it crashes.

(0035249)
TheCrazyHamsteR (reporter)
2016-05-21 02:23

Confirmed for 0.43.02. Same issue. Crash while saving game in adventure mode after building a camp and fast travelling.
(0035364)
djthekiller (reporter)
2016-06-07 12:33

erm in the new version, im ggetting crashes left and right in both df mode and adv mode, i have no idea. And i just embarked in the world after 2 adventureres, and i only got like 10 days in game, then it crashes afer i had worked very very hard on making the layout
(0035774)
rakjavik (reporter)
2016-08-09 14:00

v43.03, Crash on cleaning up objects on Save every time. Someone mentioned Hospitals, I removed a hospital zone that had a weredwarf locked by doors in it. This stopped the crashing for me.
(0036152)
Strato1 (reporter)
2017-01-11 13:32

I have had this happen to me in Adventure mode, v0.43.05. Happened (repeatedly) after I learned the secrets of life and death as an elf.

- Issue History
Date Modified Username Field Change
2010-04-03 10:14 GauHelldragon New Issue
2010-04-03 10:45 Aquillion Tag Attached: crash
2010-04-03 10:45 Aquillion Tag Attached: saving
2010-04-04 17:27 Steely Glint Note Added: 0000962
2010-04-05 19:51 Steely Glint Note Edited: 0000962 View Revisions
2010-04-05 19:59 Steely Glint Note Edited: 0000962 View Revisions
2010-04-06 08:23 derigo Note Added: 0001459
2010-04-06 09:07 Rafal99 Note Added: 0001472
2010-04-07 05:47 Steely Glint Note Added: 0001726
2010-04-07 21:55 Rafal99 Note Added: 0001935
2010-04-07 21:56 Rafal99 Note Edited: 0001935 View Revisions
2010-04-08 22:27 GauHelldragon Tag Attached: stack dump
2010-04-09 13:31 Langdon Note Added: 0002412
2010-04-09 14:36 Langdon Note Edited: 0002412 View Revisions
2010-04-10 03:08 Nighteyes Note Added: 0002546
2010-04-10 06:41 oliver Note Added: 0002564
2010-04-10 06:43 oliver Note Edited: 0002564 View Revisions
2010-04-10 07:53 Langdon Note Added: 0002567
2010-04-10 07:56 Langdon Note Edited: 0002567 View Revisions
2010-04-10 07:58 Langdon Issue Monitored: Langdon
2010-04-10 08:01 oliver Note Edited: 0002564 View Revisions
2010-04-10 08:01 oliver Note Edited: 0002564 View Revisions
2010-04-10 08:02 oliver Issue Monitored: oliver
2010-04-10 09:04 SirPenguin Note Added: 0002581
2010-04-10 09:08 SirPenguin Note Added: 0002584
2010-04-10 09:19 DoctorZuber Note Added: 0002589
2010-04-10 09:36 king doom Note Added: 0002595
2010-04-11 12:36 Langdon Note Added: 0002856
2010-04-11 22:56 Langdon Note Edited: 0002856 View Revisions
2010-04-12 00:34 Shadowlord Note Added: 0002997
2010-04-12 00:36 Shadowlord Issue Monitored: Shadowlord
2010-04-12 01:14 Langdon Note Added: 0003002
2010-04-12 01:15 Langdon Note Edited: 0003002 View Revisions
2010-04-12 01:18 Langdon Note Edited: 0003002 View Revisions
2010-04-12 02:50 derigo Note Added: 0003012
2010-04-12 03:31 Langdon Note Edited: 0003002 View Revisions
2010-04-12 04:09 Langdon Note Edited: 0003002 View Revisions
2010-04-13 06:14 Shadowlord Note Added: 0003237
2010-04-13 22:40 Langdon Note Added: 0003404
2010-04-14 20:48 Langdon Note Edited: 0003404 View Revisions
2010-04-14 22:31 Langdon Note Edited: 0003404 View Revisions
2010-04-15 07:35 Rafal99 Note Added: 0003675
2010-04-16 05:04 JimboOmega Note Added: 0003826
2010-04-21 07:18 Langdon Note Added: 0004443
2010-04-21 08:16 JimboOmega Note Added: 0004448
2010-04-23 14:50 axus Note Added: 0004777
2010-04-23 14:51 axus Note Edited: 0004777 View Revisions
2010-04-23 20:18 0x517A5D Note Added: 0004830
2010-04-26 13:32 0x517A5D Issue Monitored: 0x517A5D
2010-04-27 17:17 Areyar Note Added: 0005434
2010-04-28 14:02 Footkerchief Category General => Technical
2010-04-28 21:16 Logical2u Relationship added has duplicate 0001631
2010-04-28 21:18 Logical2u Reproducibility unable to reproduce => sometimes
2010-04-28 21:18 Logical2u Summary Game crashed during saving game => Game crash during saving game - cleaning objects phase
2010-04-28 21:18 Logical2u Description Updated View Revisions
2010-04-29 07:08 Dorf3000 Note Added: 0005659
2010-04-29 08:42 Arkenstone Note Added: 0005663
2010-04-29 09:18 Arkenstone Note Edited: 0005663 View Revisions
2010-04-29 09:20 Arkenstone Note Edited: 0005663 View Revisions
2010-04-29 09:21 Arkenstone Issue Monitored: Arkenstone
2010-04-29 09:24 Arkenstone Note Edited: 0005663 View Revisions
2010-04-29 09:25 Arkenstone Note Edited: 0005663 View Revisions
2010-05-01 09:50 yeesh Note Added: 0005825
2010-05-01 21:25 Arkenstone Note Added: 0005892
2010-05-05 22:49 Langdon Note Added: 0006247
2010-05-24 08:51 Footkerchief Tag Renamed stack dump => Crash Dump
2010-06-03 12:16 Footkerchief Relationship added related to 0000827
2010-06-03 12:22 Footkerchief Relationship added parent of 0000991
2010-06-03 12:22 Footkerchief Relationship added parent of 0001866
2010-06-03 12:22 Footkerchief Relationship added parent of 0001367
2010-06-03 12:22 Footkerchief Relationship replaced parent of 0000827
2010-06-03 12:22 Footkerchief Relationship added has duplicate 0002009
2010-06-03 12:23 Footkerchief Relationship added has duplicate 0001320
2010-06-03 12:23 Footkerchief Relationship added has duplicate 0001365
2010-06-03 12:24 Footkerchief Relationship added has duplicate 0002014
2010-06-03 12:24 Footkerchief Sticky Issue No => Yes
2010-06-03 12:25 Footkerchief Relationship added has duplicate 0001050
2010-06-04 00:21 ChickenLips Note Added: 0007649
2010-06-04 00:21 ChickenLips Note Edited: 0007649 View Revisions
2010-06-04 00:22 ChickenLips Note Edited: 0007649 View Revisions
2010-06-04 00:26 Footkerchief Relationship added related to 0001046
2010-06-04 00:44 ChickenLips Note Edited: 0007649 View Revisions
2010-06-05 05:48 Toady One Note Added: 0007716
2010-06-05 05:48 Toady One Assigned To => Toady One
2010-06-05 05:48 Toady One Status new => acknowledged
2010-06-05 12:45 ChickenLips Note Added: 0007730
2010-06-05 12:48 Footkerchief Note Added: 0007731
2010-06-05 12:48 Footkerchief Note Edited: 0007731 View Revisions
2010-06-05 23:04 Footkerchief Relationship added parent of 0002176
2010-06-09 17:11 alexb Issue Monitored: alexb
2010-06-10 22:59 Langdon Note Added: 0008120
2010-06-11 12:50 Footkerchief Relationship added has duplicate 0000912
2010-06-29 07:38 Footkerchief Category Technical => Technical -- General
2010-07-03 20:32 toybasher Note Added: 0009600
2010-07-03 21:26 oliver Note Added: 0009606
2010-07-22 00:22 mLegion Note Added: 0010804
2010-07-28 16:42 eerr Note Added: 0011207
2010-07-28 17:31 Footkerchief Relationship added has duplicate 0002880
2010-08-07 10:43 Footkerchief Relationship added has duplicate 0002590
2010-08-16 14:16 szythe Note Added: 0011833
2010-09-03 07:31 WCG Note Added: 0012378
2011-03-03 10:08 Footkerchief Additional Information Updated View Revisions
2011-03-03 10:13 Footkerchief Issue Monitored: Areyar
2011-03-03 10:13 Footkerchief Issue Monitored: ChickenLips
2011-03-03 10:13 Footkerchief Issue Monitored: DoctorZuber
2011-03-03 10:13 Footkerchief Issue Monitored: eerr
2011-03-03 10:13 Footkerchief Issue Monitored: mLegion
2011-03-03 10:13 Footkerchief Issue Monitored: Rafal99
2011-03-03 10:13 Footkerchief Issue Monitored: SirPenguin
2011-03-03 10:13 Footkerchief Issue Monitored: szythe
2011-03-03 10:13 Footkerchief Issue Monitored: toybasher
2011-03-03 10:13 Footkerchief Issue Monitored: WCG
2011-03-03 10:13 Footkerchief Note Added: 0015710
2011-03-03 10:14 Footkerchief Tag Attached: AWAITING UPDATE
2011-03-05 00:04 Langdon Note Added: 0015743
2011-03-05 00:06 Langdon Note Edited: 0015743 View Revisions
2011-03-05 00:30 Footkerchief Relationship added related to 0001806
2011-03-05 10:08 Footkerchief Relationship added related to 0003865
2011-03-05 13:44 GauHelldragon Note Added: 0015771
2011-03-05 13:52 GauHelldragon Note Edited: 0015771 View Revisions
2011-03-06 13:27 Areyar Note Added: 0015842
2011-03-06 13:29 Footkerchief Tag Detached: AWAITING UPDATE
2011-03-07 15:32 Areyar Note Edited: 0015842 View Revisions
2011-03-09 18:59 DoctorZuber Issue End Monitor: DoctorZuber
2011-04-05 16:01 Footkerchief Relationship deleted parent of 0000991
2011-04-05 16:01 Footkerchief Relationship deleted parent of 0001866
2011-04-05 16:02 Footkerchief Relationship added has duplicate 0000991
2011-04-05 16:03 Footkerchief Relationship added child of 0001866
2011-04-05 16:05 Footkerchief Relationship replaced has duplicate 0001866
2011-04-05 16:07 Footkerchief Relationship deleted has duplicate 0002009
2011-04-05 16:07 Footkerchief Relationship deleted has duplicate 0001320
2011-04-05 16:08 Footkerchief Relationship deleted has duplicate 0001365
2011-04-05 16:08 Footkerchief Relationship deleted has duplicate 0002014
2011-04-05 16:10 Footkerchief Relationship deleted has duplicate 0000991
2011-04-05 16:10 Footkerchief Relationship deleted has duplicate 0001866
2011-04-05 16:11 Footkerchief Relationship deleted has duplicate 0001631
2011-04-05 16:12 Footkerchief Relationship deleted parent of 0001367
2011-04-05 16:13 Footkerchief Relationship replaced related to 0000827
2011-04-05 16:14 Footkerchief Relationship replaced related to 0002176
2011-04-06 14:52 Footkerchief Relationship added related to 0001755
2011-10-19 07:17 Dwarfu Relationship added has duplicate 0004908
2012-02-21 10:05 janglur Note Added: 0020393
2012-05-19 04:38 Intrinsic Note Added: 0022607
2012-06-03 21:33 Rafal99 Note Added: 0022838
2014-08-06 13:48 mkiever Note Added: 0028487
2014-08-06 13:50 mkiever Issue Monitored: mkiever
2014-08-28 09:03 smjjames Note Added: 0029745
2014-08-28 09:12 smjjames Note Edited: 0029745 View Revisions
2014-08-28 09:17 smjjames Note Edited: 0029745 View Revisions
2014-08-28 09:24 smjjames Note Edited: 0029745 View Revisions
2015-12-06 13:14 the_immortal_gila_monster Issue Monitored: the_immortal_gila_monster
2015-12-06 13:14 the_immortal_gila_monster Issue End Monitor: the_immortal_gila_monster
2016-01-03 13:39 0x517A5D Issue End Monitor: 0x517A5D
2016-05-21 02:23 TheCrazyHamsteR Note Added: 0035249
2016-05-21 02:23 TheCrazyHamsteR Issue Monitored: TheCrazyHamsteR
2016-06-07 12:33 djthekiller Note Added: 0035364
2016-08-09 14:00 rakjavik Note Added: 0035774
2017-01-11 13:32 Strato1 Note Added: 0036152


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker